Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.content.property
Interface ISelectionListProperty

All Superinterfaces:
  IBaseProperty

public interface ISelectionListProperty
extends IBaseProperty

Represents a selection list property, which can be added to an `IDataEntryTemplate`. A sub-type of `IBaseProperty`.

A selection list property allows a user to select a pre-defined text value in the associated selection list as the property value in a content item that contains this property.

The value of the property can be retrieved using `IContentItem.getSelectionListPropertyValue(com.plumtree.remote.prc.content.property.IBaseProperty)` and updated using `IContentItem.setSelectionListPropertyValue(com.plumtree.remote.prc.content.property.IBaseProperty, java.lang.String)`.

Method Summary
`ISelectionList` | `getSelectionList()` Returns the associated selection list.
`void` | `setSelectionList(ISelectionList selectionList)` Sets the selection list associated with this property.

Methods inherited from interface com.plumtree.remote.prc.content.property.IBaseProperty
`getDescription, getDisplayName, getName, setDescription, setDisplayName, setName`

Method Detail

### getSelectionList

    public ISelectionList getSelectionList()
                                    throws ContentSecurityException,
                                           ContentException,
                                           java.rmi.RemoteException

  Returns the associated selection list.

  Returns:
    the associated selection list.
  Throws:
    `ContentSecurityException` - if the user does not have permission to access the folder in which the selection list resides
    `ContentException` - if the method call resulted in a Content Server exception.
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call.

### setSelectionList

    public void setSelectionList(ISelectionList selectionList)

  Sets the selection list associated with this property. The new value will not be properly persisted until this property is added to a Data Entry Template and `IDataEntryTemplate.store` is called on that Data Entry Template. The selection list has to be persisted prior to calling this method otherwise an `IllegalStateException` will be thrown when `IDataEntryTemplate.store` is called on the Data Entry Template that contains this selection list property.

  Parameters:
    `selectionList` - an existing selection list associated with this property; cannot be `null`.
  Throws:
    `java.lang.IllegalStateException` - if the selection list has not yet been persisted or has already been removed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.